
# ApiControlPlane

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**namespace** | **String** | The namespace where the control plane is installed. Append the domain to the namespace to get the url of the control plane. |  [optional]
**dnsSuffix** | **String** | The domain where the control plane is installed. Append the domain to the namespace to get the url of the control plane. |  [optional]
**uuid** | **String** | The universally unique ID of this control plane in Cloudera Manager |  [optional]
**remoteRepoUrl** | **String** | The url of the remote repository where the artifacts used to install the control plane are hosted |  [optional]
**version** | **String** | The CDP version of the control plane |  [optional]
**manifest** | **String** | The content of the manifest.json of the control plane |  [optional]
**valuesYaml** | **String** | The content of the values.yaml used to configure the control plane |  [optional]
**tags** | [**List&lt;ApiEntityTag&gt;**](ApiEntityTag.md) | Tags associated with the control plane. Available since V46. |  [optional]
**kubernetesType** | **String** | The kubernetes type on which the control plane is running |  [optional]



