# ApiAddSBNNToNSArguments

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name_service_name** | **str** | The name of the NameService to which the new NameNode(s) should be added. | [optional] 
**new_nn_host_ids** | **list[str]** | List of host ids to which new NameNode(s) should be added. | [optional] 
**new_nn_data_dirs** | **dict(str, str)** | Mapping of NameNode Data Directories list to host id(s), key is the host id, the value is a comma separated list of directories to be set as NameNode Data Directories for the new NameNode(s). | [optional] 
**clear_data_dirs** | **bool** | Specifies whether the NameNode Data Directories configured should be cleared as a first step, or the command should fail if the directories specified are not empty. | [optional] 
**restart_cluster** | **bool** | Specifies whether the HDFS dependent services of the cluster should be restarted after the changes are applied, to reconfigure dependent services | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


