# ApiCommandStep

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**description** | **str** | The command step description. | [optional] 
**start_time** | **str** | The start time. | [optional] 
**end_time** | **str** | The end time, if the command step is finished. | [optional] 
**state** | [**State**](State.md) | Current state of the command step | [optional] 
**result_message** | **str** | If the command step is finished, the result message. | [optional] 
**ignore_error** | **bool** | Whether the step will continue even upon error. | [optional] 
**parallel** | **bool** | Whether the children are scattered simultaneously, i.e. parallel. If not they would execute one after another, i.e. serially. | [optional] 
**processes** | [**list[ApiCommandStepProcess]**](ApiCommandStepProcess.md) | List of processes executed by the command step. | [optional] 
**client_configs** | [**list[ApiCommandStepProcess]**](ApiCommandStepProcess.md) | List of command step client configs. | [optional] 
**roles** | [**list[ApiRoleRef]**](ApiRoleRef.md) | List of command step roles. | [optional] 
**clusters** | [**list[ApiClusterRef]**](ApiClusterRef.md) | List of clusters associated with command step. | [optional] 
**hosts** | [**list[ApiHostRef]**](ApiHostRef.md) | List of hosts associated with command step. | [optional] 
**services** | [**list[ApiServiceRef]**](ApiServiceRef.md) | List of services associated with command step. | [optional] 
**children** | [**list[ApiCommandStep]**](ApiCommandStep.md) | List of child command steps. | [optional] 
**commands** | [**list[ApiCommand]**](ApiCommand.md) | List of subcommands. &lt;p&gt; The list contains only the summary view of the commands. | [optional] 
**remote_command** | [**ApiRemoteCommand**](ApiRemoteCommand.md) | Remote command executed by the current step on a peer cluster. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


