# ApiGenerateCopyDockerArgs

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**remote_repo_url** | **str** | The url of the remote repository where the private cloud artifacts to install are hosted | [optional] 
**docker_registry** | **str** | The url of the Docker Registry where images required for install will be copied to | [optional] 
**control_plane_uuid** | **str** | Optional. The uuid of the control plane, if copying docker images for an upgrade | [optional] 
**selected_features** | **str** | Optional. The name of the feature(s) in a comma separated list that container images/packages are associated with. When it is null, copy all the images. | [optional] 
**selected_features_only** | **bool** | Optional. If true, then only images/packages that belong to the selected features will be processed. If false, then images/packages that don&#39;t belong to any features will also be processed in addition to the ones that belong to the selected features. This should be set to false (default) for install/upgrades. to true when copying specific images/packages associated with a specific feature. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


